plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
}

android {
    namespace 'com.example.doctor'
    compileSdk 33

    defaultConfig {
        applicationId "com.example.doctor"
        minSdk 28
        targetSdk 33
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    buildFeatures{
        viewBinding true
    }
}

dependencies {

    implementation 'com.google.code.gson:gson:2.8.6'

    implementation "androidx.swiperefreshlayout:swiperefreshlayout:1.1.0"

    implementation "com.mikepenz:materialdrawer:7.0.0"
    implementation "com.mikepenz:materialdrawer-nav:7.0.0"

    implementation 'pl.droidsonroids.gif:android-gif-drawable:1.1.17'

    implementation platform('com.google.firebase:firebase-bom:31.2.0')
    implementation 'com.google.firebase:firebase-database-ktx:20.1.0'
    implementation 'com.google.firebase:firebase-auth-ktx:21.1.0'

    implementation 'com.android.volley:volley:1.2.1'
    implementation 'com.squareup.picasso:picasso:2.71828'
    implementation 'androidx.fragment:fragment-ktx:1.5.5'
    implementation 'com.google.android.gms:play-services-location:21.0.1'
    implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.5.1'

    implementation 'androidx.core:core-ktx:1.7.0'
    implementation 'androidx.appcompat:appcompat:1.5.0'
    implementation 'com.google.android.material:material:1.7.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
    implementation 'androidx.test:core-ktx:1.4.0'
    implementation 'androidx.games:games-activity:1.1.0'
    implementation 'com.google.mlkit:common:18.1.0'
    implementation 'com.google.firebase:firebase-messaging-ktx:23.1.2'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.5'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.1'
    implementation "androidx.lifecycle:lifecycle-runtime-ktx:2.6.1"

    coreLibraryDesugaring 'com.android.tools:desugar_jdk_libs:2.0.3'
    implementation 'com.kizitonwose.calendar:view:2.0.0'

    //Lifecycle
    implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.6.2'
    implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.6.2'
    implementation "androidx.lifecycle:lifecycle-runtime-ktx:2.6.1"

    //Retrofit
    implementation "com.squareup.retrofit2:retrofit:2.9.0"
    implementation "com.squareup.retrofit2:converter-gson:2.9.0"

    //OkHttp
    implementation "com.squareup.okhttp3:logging-interceptor:4.7.2"
    implementation "com.squareup.okhttp3:okhttp:4.7.2"

    implementation 'com.squareup.picasso:picasso:2.71828'

    //Свайп
    implementation "androidx.swiperefreshlayout:swiperefreshlayout:1.1.0"

    implementation "androidx.work:work-runtime-ktx:2.8.1"



//    // Kotlin
//    implementation "androidx.navigation:navigation-fragment-ktx:2.5.2"
//    implementation "androidx.navigation:navigation-ui-ktx:2.5.2"


}